<?php
/*
 Simple:Press
 Admin Moderation and mark as read control
 $LastChangedDate: 2011-07-17 22:08:22 +0100 (Sun, 17 Jul 2011) $
 $Rev: 6704 $
 */

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

 sp_forum_api_support();

if (isset($_GET['action'])) $action = sp_esc_int($_GET['action']);
if (isset($_GET['pid'])) $postid = sp_esc_int($_GET['pid']);
if (isset($_GET['tid'])) $topicid = sp_esc_int($_GET['tid']);
if (isset($_GET['fid'])) $forumid = sp_esc_int($_GET['fid']);

if (empty($topicid)) die();

if (!sp_get_auth('moderate_posts', $forumid)) {
         if (!is_user_logged_in()) {
                 echo __('Access denied - are you logged in?', 'spab');
         } else {
                 echo __('Access denied - you do not have permission','spab');
         }
         die();
}

# actions:
#       0 = approve
#       1 = mark as read
#       2 = delete

switch ($action) {
         case 0:
                 sp_approve_post(true, 0, $topicid, false);
                 echo __('All topic posts marked as approved', 'spab');
                 break;

         case 1:
                 sp_remove_from_waiting(true, $topicid);
                 echo __('All topic posts marked as read', 'spab');
                 break;

         case 2:
     if (empty($forumid) || empty($postid)) die();
                 sp_delete_post($postid, $topicid, $forumid, false);
                 echo __('Post deleted', 'spab');
                 break;
}

# we always need to remove from users new posts list
sp_remove_users_newposts($topicid);

die();
?>
