<?php
/*
 Simple:Press
 Admin 'Quick Reply' Save
 $LastChangedDate: 2011-07-28 23:27:16 +0100 (Thu, 28 Jul 2011) $
 $Rev: 6774 $
 */

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

 sp_forum_api_support();
 sp_load_editor(0,1);
include_once(SF_PLUGIN_DIR.'/forum/library/sp-post-support.php');

global $spThisUser, $sfvars;

# check credentials
if ($spThisUser->moderator == false) {
         if (!is_user_logged_in()) {
                 echo __('Access denied - are you logged in?', 'spab');
         } else {
                 echo __('Access denied - you do not have permission', 'spab');
         }
         die();
}

if (empty($_GET['postitem']) || empty($_GET['tid']) || empty($_GET['fid'])) die();

$p = new spPost;

# Set up curret user details needed to keep class user agnostic
$p->userid              = $spThisUser->ID;
$p->admin               = $spThisUser->admin;
$p->moderator   = $spThisUser->moderator;
$p->member              = $spThisUser->member;
$p->guest               = $spThisUser->guest;

$p->action = 'post';

$p->newpost['topicid']          = sp_esc_int($_GET['tid']);
$p->newpost['forumid']          = sp_esc_int($_GET['fid']);
$p->newpost['forumslug']        = spdb_table(SFFORUMS, 'forum_id='.$p->newpost['forumid'], 'forum_slug');

$t = spdb_table(SFTOPICS, 'topic_id='.$p->newpost['topicid'], 'row');
$p->newpost['topicslug']        = $t->topic_slug;
$p->newpost['topicname']        = $t->topic_name;

$p->newpost['postcontent']      = urldecode($_GET['postitem']);
$p->newpost['userid']           = $spThisUser->ID;
$p->newpost['postername']       = sp_filter_name_save($spThisUser->display_name);
$p->newpost['posteremail']      = sp_filter_email_save($spThisUser->user_email);
$p->newpost['poserip']          = sp_get_ip();

$p->validateData();
$p->saveData();

# let plugins act on quick reply
do_action('sph_quick_reply', $p->newpost);

echo __('Quick reply saved', 'spab');

die();
?> 
