/* ---------------------------------
 Simple:Press
 Admin Bar Plugin Javascript
 ------------------------------------ */

/* ----------------------------------
 Load up admins new post list
 -------------------------------------*/
function spabGetNewPostList(url, numbersurl) {
         var targetdiv = 'spAdminQueueList';
         var dropdown = document.getElementById(targetdiv);

         if (dropdown.style.display != 'block') {
         jQuery('#spBarSpinner').show();
     }

         /* newpost counts */
         var targetID = document.getElementById('spAdminQueueCounts');
         if (targetID != null) {
                 var newPostsUrl = numbersurl + '&target=newposts' + '&rnd=' +  new Date().getTime();
                 jQuery('#spAdminQueueCounts').load(newPostsUrl);
         }

         if (dropdown.style.display == 'block') {
                 jQuery('#'+targetdiv).hide();
         } else {
                 url = url + '&rnd=' +  new Date().getTime();
                 jQuery('#'+targetdiv).load(url, function () {
                         height = window.outerHeight-80;
                         jQuery('#'+targetdiv).css('max-height', height);
                         jQuery('#'+targetdiv).show('normal');
                         dropdown.style.display = 'block';
                 jQuery('#spBarSpinner').hide();
                 });
         }
}

/* ----------------------------------
 Post moderation and unread
 -------------------------------------*/
function spabModeratePost(posturl, url, canRemove, postid, forumid, topicid, poststatus, action, refreshUrl) {
         var spot=document.getElementById('spAdminQueueMsg');
         spot.innerHTML = '';
         jQuery('#spAdminQueueMsg').fadeIn('fast');

         var thistopic = 'spAdminQueueThisTopic' + topicid;
         var topicrow = 'spAdminQueueTopic' + topicid;
         var modpostrowid = 'spAdminQueuePost' + topicid;
         var topics = 'tcount' + forumid;
         var posts = 'pcount' + topicid;
         var postsmod = 'pcountmod' + topicid;
         var postsord = 'pcountord' + topicid;
         var forumrow = 'spAdminQueueForum' + forumid;
         var thispost = 'spAdminQueueThisPost' + postid;
         var thispostcon = 'spAdminQueueThisPostButtons' + postid;
         var topicCount = document.getElementById(topics);

         var postcount = document.getElementById(posts);
         var postcountMod = document.getElementById(postsmod);
         var postcountOrd = document.getElementById(postsord);

         /* reduce topic count by one unless deleting a post with more than one in topic */
         if ((action != 2) || (action == 2 && postcount.value == 1)) {
                 topicCount.value--;
         }

         /* if deleting a post where there is nore than one post in topic then just remove post rows. */
         if (action == 2 && postcount.value != 1) {
                 var target1 = document.getElementById(thispost);
                 var target2 = document.getElementById(thispostcon);
         } else {
                 var target1 = document.getElementById(modpostrowid);
                 var target2 = document.getElementById(topicrow);
         }
         var targetf = document.getElementById(forumrow);

         jQuery(target1).fadeOut('slow');
         jQuery(target2).fadeOut('slow');
         if (topicCount.value == 0) {
                 jQuery(targetf).fadeOut('slow');
         }

         /* Call the moderation/approval/delete code */
         url = url + '&rnd=' +  new Date().getTime();
         jQuery('#spAdminQueueMsg').load(url, function() {
                 /* set up count vars */
                 var removeMod = new Number(0);
                 var removeOrd = new Number(0);

                 /* if it's delete change the action for ease */
                 if(action == 2) {
                         postcount.value--;
                         if(poststatus != 0) {
                                 action = 0;
                                 postcountMod.value--;
                                 removeMod = 1;
                         } else {
                                 action = 1;
                                 postcountOrd.value--;
                                 removeOrd = 1;
                         }
                 } else {
                         removeMod = postcountMod.value;
                         removeOrd = postcountOrd.value;
                 }

                 if (canRemove) {
                         if (action == 1 || removeOrd != 0) {
                                 var mastercount = parseInt(jQuery('#spUnread > span').html());
                                 if (isNaN(mastercount)) {
                                         mastercount = 0;
                                 } else {
                                         mastercount = (mastercount-removeOrd);
                                 }
                                 jQuery('#spUnread > span').html(mastercount);
                         }

                         if (action == 0 || action == 9 || removeMod != 0) {
                                 if(poststatus == 1) {
                                         /* needs moderation */
                                         var mastercount = jQuery('#spNeedModeration > span').html();
                                         if (isNaN(mastercount)) {
                                                 mastercount = 0;
                                         } else {
                                                 mastercount = (mastercount-removeMod);
                                         }
                                         jQuery('#spNeedModeration > span').html(mastercount);
                                 } else {
                                         /* so it is spam */
                                         var mastercount = parseInt(jQuery('#spSpam > span').html());
                                         if (isNaN(mastercount)) {
                                                 mastercount = 0;
                                         } else {
                                                 mastercount = (mastercount-removeMod);
                                         }
                                         jQuery('#spSpam > span').html(mastercount);
                                 }
                         }
                 }

                 /*  have we finished them all? */
                 if (jQuery('#spUnread > span').html() == '0' && jQuery('#spNeedModeration > span').html() == '0' && jQuery('#spSpam > span').html() == '0') {
                         var mainDiv = '#spAdminQueueList';
                         var targetdiv = document.getElementById('spAdminQueueList');
                         jQuery(mainDiv).fadeOut(3000);
                 }

                 var spot=document.getElementById('spAdminQueueMsg');
                 if (posturl != '') {
                         spot.innerHTML = sp_adminbar_vars.loading;
                         if (posturl == window.location) {
                                 window.location.reload();
                         } else {
                                 window.location = posturl;
                         }
                 } else {
                         jQuery('#spAdminQueueMsg').fadeOut(6000, function () {});
                 }
         });
}

function spabSaveQuickReply(theForm, saveurl, modurl, postid, forumid, topicid, poststatus, action, refreshUrl) {
         var saveBtn = document.getElementById('sfsave'+topicid);
         saveBtn.value = sp_adminbar_vars.saving;

         /* Prepare post content for query var */
         var mText = theForm.elements['postitem'+topicid].value;
         var cText = mText.replace(/\n/g, "<br />");
         cText = encodeURIComponent(cText);

     var url = saveurl;
         url+="&postitem=" + cText;
         var item;

         /* now loop through form elements to add anything else that might be added by a plugin */
         for(x=theForm.elements.length-1;x>=0;x--) {
                 if(theForm.elements[x].name != 'postitem'+topicid && theForm.elements[x].name != 'newpost'+topicid) {
                         if(theForm.elements[x].type == 'checkbox') {
                                 if(theForm.elements[x].checked==true) {
                                         item = '1';
                                 } else {
                                         item = '0';
                                 }
                         } else {
                                 item = encodeURIComponent(theForm.elements[x].value);
                         }
                         url+="&"+theForm.elements[x].name+"="+item;
                 }
         }
         jQuery('#spAdminQueueMsg').load(url, function() {
                 spabModeratePost('', modurl, '1', postid, forumid, topicid, poststatus, action, refreshUrl);
         });

         return false;
}

function spabRemoveSpam(actionURL, updateURL) {
         actionURL = actionURL + '&rnd=' +  new Date().getTime();
         jQuery('#spAdminQueueMsg').load(actionURL, function() {
                 jQuery('#spAdminQueueMsg').show('fast', function() {
                         jQuery('#spAdminQueueList').hide('slow');
                         spabupdate(updateURL);
                 });
         });
}
