<?php

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

# --------------------------------------------------------------------------------------
#
#       sp_AdminQueue()
#       Display the admin queue
#       Scope:  site
#
#       class:                  CSS styling class
#
#       label:
#
# --------------------------------------------------------------------------------------
function sp_AdminQueueTag($args) {
     include_once(SPABLIBDIR.'sp-admin-bar-components.php');
         global $spNewPosts, $spThisUser;

         # bail if not admin or moderator
        if (!$spThisUser->admin && !$spThisUser->moderator) return;

         # is this admin showing the admin bar?
        if (!$spThisUser->sfadminbar) return;

         $defs = array('tagClass'        => 'spAdminQueue',
                                   );
         $a = wp_parse_args($args, $defs);
         $a = apply_filters('sph_AdminLinks_args', $a);
         extract($a, EXTR_SKIP);

         # sanitize before use
        $tagClass       = esc_attr($tagClass);

         $out = '';
         $out.= "<div id='spAdminQueue' class='$tagClass'>";
         $out.= '<div id="spAdminQueueCounts">';
         $out.= sp_GetWaitingUrl($spNewPosts);
         $out.= '</div>';
         $out.= '<img class="spInlineSection" id="spBarSpinner" src="'.SFCOMMONIMAGES.'working.gif" alt="" />';
     $out.= '</div>';
         $out.= '<div id="spAdminQueueList"></div>';

         $out = apply_filters('sph_AdminQueue', $out, $a);
         echo $out;
}

?>
